<template>
  <main>
    <section class="places" ref="places">
      <section v-for="place in places" :key="`place-${place.name}`" class="location">
        <img :src="place.img" :alt="place.name" />
        <h2>{{ place.name }}</h2>
        <p><strong>Rating: {{ place.rating }}</strong></p>
        <p>{{ place.description }}</p>
        <hr />
      </section>
    </section>
    <section class="mapcontain" ref="mapcontain">
      <p>
        <icon-base icon-name="mappin"><icon-map-pin /></icon-base>
        Checked in at Honolulu location
      </p>
    </section>
  </main>
</template>

<script>
import { mapState } from 'vuex';
import IconBase from '~/components/IconBase.vue';
import IconMapPin from '~/components/IconMapPin.vue';

export default {
  components: {
    IconBase,
    IconMapPin,
  },
  computed: mapState(['page', 'users', 'places']),
  mounted() {
    const mapboxgl = require('mapbox-gl/dist/mapbox-gl');
    mapboxgl.accessToken = 'pk.eyJ1IjoiY25vbGVoZXJ6ZXIiLCJhIjoiY2poYWY2YXJnMDByajMwbzR0ZXYxdnV1OSJ9.swJZtC4iHlkendWP4oUMyA';
    const map = new mapboxgl.Map({
      container: this.$refs.mapcontain,
      style: 'mapbox://styles/cnoleherzer/cjhaf7oyr3wrk2rs1wxde38f5',
    });
  },
}
</script>

<style>
.mapboxgl-missing-css {
  display: none;
}
</style>

<style lang="scss" scoped>
main {
  padding-top: 20px;
  border-top: 1px solid #ddd;
  margin-top: 120px;
}

.places {
  img {
    float: left;
    margin: 0 15px 15px 0;
  }
  p {
    margin-top: 10px;
  }
  .location {
    padding: 10px 0;
  }
}

hr {
  border-top: 1px solid #ddd;
  border-bottom: none;
  margin-top: 15px;
}

.mapcontain {
  width: 35%;
  float: right;
  height: 400px;
  p {
    margin: 10px 0;
  }
}

@media screem and (max-width: 600px) {
  .mapcontain {
    width: 100%;
    margin: 10px 0;
  }
}
</style>